Need HELP to upgrade my 1.1.4 iPhone. I have been out of the scene for a while. HELP!

Discussion in 'iPhone Tips, Help and Troubleshooting' started by ralphieralph, Dec 13, 2008.

  1. ralphieralph macrumors newbie

    Joined:
    Dec 13, 2008
    #1
    Alright I have been really busy and was not able to keep up with the latest firmware updates. I have been searching everywhere and I was unable to find any solid info and I do not want to brick my iPhone. There is just so much material out there. PLEASE HELP!

    Currently: I have a 1.1.2 OTB which then I upgraded it to 1.1.4 and unlocked it with ziphone.

    I am on T-Mobile and I still want to use it for T-Mobile obviously

    My phone has. 1.1.4 Modem Firmware: 04.04.05_G
    I am using windows xp

    If someone can PLEASE HELP ME TO UPGRADE IT TO 2.2 that would be nice if it is possible, I know it just came out. I just need a tutorial to get me through this.

    Thank You!
     
  2. Tallest Skil macrumors P6

    Tallest Skil

    Joined:
    Aug 13, 2006
    Location:
    1 Geostationary Tower Plaza
    #2
    You... don't really need one. Download 2.2. Download PwnageTool. Run it.
     
  3. ralphieralph thread starter macrumors newbie

    Joined:
    Dec 13, 2008
    #3
    Thanks for the reply.

    So you are saying that I update my iPhone with 2.2 meaning that it will lock my iphone. Then use the PwnageTool which will unlock my iphone again for T-Mobile and I will be on the 2.2 software? So basically this is just a straight update?

    I dont care if I lose all the apps I had for the iphone I just want to update it to the current firmware.
     
  4. bytethese macrumors 68030

    bytethese

    Joined:
    Jun 20, 2007
    Location:
    Cranford, NJ
    #4
    No, you download the 2.2 update, use the Pwnage Tool on your firmware and load to your iPhone. Watch however, I have read that 2.2 updates the baseband on the phone and may make unlocks for 3G iPhones a problem in teh future, so I am unsure how it would affect original iPhones that have been unlocked already. So in otherwords, be careful before you update to 2.2, you might wind up with a phone that only works on AT&T. :)
     
  5. netlica macrumors newbie

    Joined:
    Jan 9, 2009
    #5
    Ralph ,
    Have you done that?
    I'm also thinking about upgrading my unlocked iPhone 1.1.2 OTB ( which had been upgraded to 1.1.3 by someone ) to 2.2 .
    So do I need to restore it to the factory settings (1.1.2) and then use the pwnage tool? or just use the pwnage tool straight away?
    and will that lock my iphone?

    Pls help.

    thanks
     
  6. Tallest Skil macrumors P6

    Tallest Skil

    Joined:
    Aug 13, 2006
    Location:
    1 Geostationary Tower Plaza
    #6
    Update to 2.2 through iTunes. Then download PwnageTool and follow the directions.
     
  7. netlica macrumors newbie

    Joined:
    Jan 9, 2009
    #7
    Thanks a lot !
    I'll try that .
    :)
     
  8. bytethese macrumors 68030

    bytethese

    Joined:
    Jun 20, 2007
    Location:
    Cranford, NJ
    #8
    Actually, he/she can just upgrade with a jailbroken 2.2. :)
     
  9. tkjazzer macrumors 6502

    Joined:
    Nov 30, 2004
    #9
    if I follow these directions, will my text messages on 1.1.4 get saved when upgrading to 2.2 with pwnage?
     

Share This Page